Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_DomainManagerList_out Class Reference

`#include <DomainC.h>`

Collaboration diagram for CORBA_DomainManagerList_out:

[legend]
List of all members.

## Public Methods
| CORBA_DomainManagerList_out (CORBA_DomainManagerList *&)
| CORBA_DomainManagerList_out (CORBA_DomainManagerList_var &)
| CORBA_DomainManagerList_out (const CORBA_DomainManagerList_out &)
CORBA_DomainManagerList_out& | operator= (const CORBA_DomainManagerList_out &)
CORBA_DomainManagerList_out& | operator= (CORBA_DomainManagerList *)
| operator CORBA_DomainManagerList *& ()
CORBA_DomainManagerList*& | ptr (void)
CORBA_DomainManagerList* | operator-> (void)
TAO_Object_Manager<CORBA_DomainManager, CORBA_DomainManager_var> | operator[] (CORBA::ULong index)
## Private Methods
void | operator= (const CORBA_DomainManagerList_var &)
## Private Attributes
CORBA_DomainManagerList*& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_DomainManagerList_out::CORBA_DomainManagerList_out ( | CORBA_DomainManagerList *& p )

ACE_INLINE CORBA_DomainManagerList_out::CORBA_DomainManagerList_out ( | CORBA_DomainManagerList_var & p )

CORBA_DomainManagerList_out::CORBA_DomainManagerList_out ( | const CORBA_DomainManagerList_out & )

## Member Function Documentation

CORBA_DomainManagerList_out::operator CORBA_DomainManagerList *& ( | )

ACE_INLINE::CORBA_DomainManagerList * CORBA_DomainManagerList_out::operator-> ( | void )

void CORBA_DomainManagerList_out::operator= ( | const CORBA_DomainManagerList_var & )`[private]`

ACE_INLINE::CORBA_DomainManagerList_out & CORBA_DomainManagerList_out::operator= ( | CORBA_DomainManagerList * p )

CORBA_DomainManagerList_out& CORBA_DomainManagerList_out::operator= ( | const CORBA_DomainManagerList_out & )

ACE_INLINE TAO_Object_Manager< CORBA_DomainManager,CORBA_DomainManager_var > CORBA_DomainManagerList_out::operator[] ( | CORBA::ULong index )

ACE_INLINE::CORBA_DomainManagerList *& CORBA_DomainManagerList_out::ptr ( | void )

## Member Data Documentation

CORBA_DomainManagerList *& CORBA_DomainManagerList_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.i